Subject: Removing Duplicate Addresses in Compose

From: [email-masked] (Leif Neve)
Date: 18 Jul 1996 11:43:45 -0400

Duplicate addresses in the To: field of the Compose window have been a
thorn in my side ever since I can remember. Pine was finally fixed a
few releases ago to at least not generate an error when it detected
duplicate addresses. But I'd like it to _remove_ the duplicate
addresses altogether! My other mail program (Sun Mailtool) does this
just fine. Why can't Pine?

If you can't remove the duplicates automatically, could you at least
give me a key sequence I can enter in the Compose window to remove
duplicates?

Just to make sure we are reading from the same page, if I have
the following distribution lists

	foo		foo		([email-masked], [email-masked])
	bar		bar		([email-masked], [email-masked])
   foobar 	foobar	(foo, bar)

and I send mail to "foobar", it expands to

	To: foobar -- foo <[email-masked]>, 
   	me <[email-masked]>, 
   	bar <[email-masked]>, 
   	me <[email-masked]>

Why can't Pine remove the extra "[email-masked]"? Could I at least
be provided with a single command to do it manually? (And I don't
mean the ^K command. :-)

Thanks so much. -Leif Neve